Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class ToStringASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformation
          org.codehaus.groovy.transform.ToStringASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class ToStringASTTransformation
    extends AbstractASTTransformation

Handles generation of code for the

ToString:
  annotation.

Authors:
  Paul King
  Andre Steingress

Method Summary
`static void` | `createToString(ClassNode cNode, boolean includeSuper, boolean includeFields, java.util.List excludes, java.util.List includes, boolean includeNames)`
`static void` | `createToString(ClassNode cNode, boolean includeSuper, boolean includeFields, java.util.List excludes, java.util.List includes, boolean includeNames, boolean ignoreNulls)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class AbstractASTTransformation
addError, checkNotInterface, getMemberList, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, tokenize

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createToString

    public static void createToString(ClassNode cNode, boolean includeSuper, boolean includeFields, java.util.List excludes, java.util.List includes, boolean includeNames)

### createToString

    public static void createToString(ClassNode cNode, boolean includeSuper, boolean includeFields, java.util.List excludes, java.util.List includes, boolean includeNames, boolean ignoreNulls)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation